### File

`packages/ecl/components/ecl-fact-figures/ecl-fact-figures-view-all.component.ts`

### Description

Component representing the "View all" section in a Fact & Figures block. Used to display a link that allows users to view additional content.

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

selector | `ecl-fact-figures-view-all`
styles | `:host { display: block; }`
templateUrl | `./ecl-fact-figures-view-all.component.html`

### Index

###### Properties
eclLink
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Applies the base class `ecl-fact-figures__view-all` to the host element.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclLink
Type : `EclLinkDirective`
Decorators : `@ContentChild(EclLinkDirective)`
Reference to the projected link directive inside the component. Automatically decorated with a specific class upon initialization.

### Accessors

cssClasses
get `cssClasses()`
Applies the base class `ecl-fact-figures__view-all` to the host element. Returns : `string`

# results matching ""

# No results matching ""